@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", "sans-serif";
}

body {
  background: #081b29;
  color: #ededed;
}

.header {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  padding: 20px 10%;
  background: transparent;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 100;
  transition: 0.3s all ease;
}

.logo {
  position: relative;
  font-size: 25px;
  color: #ededed;
  text-decoration: none;
  font-weight: 600;
}

.logo::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background: #081b29;
  animation: showRight 1s ease forwards;
  animation-delay: 0.2s;
}

.navbar a {
  font-size: 18px;
  color: #ededed;
  text-decoration: none;
  font-weight: 500;
  margin-left: 35px;
  transition: 0.3s;
}

.navbar a:hover,
.navbar a.active {
  color: #00abf0;
}

.home {
  height: 100vh;
  display: flex;
  align-items: center;
  padding: 0 10%;
  transition: 0.3s all ease;
}

.home-content {
  max-width: 600px;
}

.home-content h1 {
  position: relative;
  font-size: 56px;
  font-weight: 700;
  line-height: 1.2;
  transition: 0.3s ease;
}

.home-content h1::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background: #081b29;
  animation: showRight 1s ease forwards;
  animation-delay: 0.7s;
}

.home-content h3 {
  position: relative;
  font-size: 32px;
  font-weight: 700;
  color: #00abf0;
  transition: 0.3s ease;
}

.home-content h3::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background: #081b29;
  animation: showRight 1s ease forwards;
  animation-delay: 0.9s;
}

.home-content p {
  position: relative;
  font-size: 16px;
  margin: 20px 0 40px;
  transition: 0.3s ease;
}

.home-content p::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background: #081b29;
  animation: showRight 1s ease forwards;
  animation-delay: 1.1s;
}

.home-content .btn-box {
  position: relative;
  display: flex;
  justify-content: space-between;
  width: 345px;
  height: 50px;
  transition: 0.3s ease;
}

.home-content .btn-box::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background: #081b29;
  animation: showRight 1s ease forwards;
  animation-delay: 1.3s;
  z-index: 2;
}

.btn-box a {
  position: relative;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 150px;
  height: 100%;
  background: #00abf0;
  border: 2px solid #00abf0;
  border-radius: 8px;
  font-size: 19px;
  color: #081b29;
  text-decoration: none;
  font-weight: 600;
  letter-spacing: 1px;
  z-index: 1;
  overflow: hidden;
  transition: 0.5s;
}

.btn-box a:hover {
  color: #00abf0;
}

.btn-box a:nth-child(2) {
  background: transparent;
  color: #00abf0;
}

.btn-box a:nth-child(2):hover {
  color: #081b29;
}

.btn-box a:nth-child(2)::before {
  background: #00abf0;
}

.btn-box a::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  background: #081b29;
  z-index: -1;
  transition: 0.5s;
}

.btn-box a:hover::before {
  width: 100%;
}

.home-sci {
  position: absolute;
  right: 35px;
  height: 170px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.home-sci::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background: #081b29;
  animation: showRight 1s ease forwards;
  animation-delay: 1.5s;
  z-index: 2;
}

.home-sci a {
  position: relative;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  background: transparent;
  border: 2px solid #00abf0;
  border-radius: 50%;
  font-size: 20px;
  color: #00abf0;
  text-decoration: none;
  z-index: 1;
  overflow: hidden;
  transition: 0.5s;
}

.home-sci a:hover {
  color: #081b29;
}

.home-sci a::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  background: #00abf0;
  z-index: -1;
  transition: 0.5s;
}

.home-sci a:hover::before {
  width: 100%;
}

#menu-icon {
  color: #ededed;
  font-size: 35px;
  cursor: pointer;
  display: none;
}

/*BREAKPOINTS*/

@media (max-width: 1024px) {
  .header {
    padding: 17px 7%;
    transition: 0.3s all ease;
  }

  .home {
    padding: 0 7%;
    transition: 0.3s all ease;
  }

  .home-sci {
    right: 25px;
    transition: 0.3s all ease;
  }
}

@media (max-width: 960px) {
  .header {
    padding: 15px 5%;
    transition: 0.3s all ease;
  }

  .home {
    padding: 0 16% 0 5%;
    transition: 0.3s all ease;
  }

  .home-sci {
    right: 21px;
    transition: 0.3s all ease;
  }
}

@media (max-width: 800px) {
  .header {
    background: #081b29;
  }

  #menu-icon {
    display: block;
  }

  .navbar {
    position: absolute;
    top: 100%;
    left: -100%;
    width: 100%;
    padding: 16px 4%;
    background: #00abf0;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
    z-index: 1;
    transition: 0.25s ease;
    transition-delay: 0.25s;
  }

  .navbar.active {
    left: 0;
    transition-delay: 0s;
  }

  .navbar .active-nav {
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: #081b29;
    border-top: 1.6px solid rgba(0, 0, 0, 0.2);
    z-index: -1;
    transition: 0.25s ease;
    transition-delay: 0s;
  }

  .navbar.active .active-nav {
    left: 0;
    transition-delay: 0.25s;
  }

  .navbar a {
    display: block;
    font-size: 20px;
    margin: 37px 0;
    transform: translateX(-160px);
    transition: 0.25s ease;
    transition-delay: 0s;
  }

  .navbar.active a {
    transform: translateX(0);
    transition-delay: 0.25s;
  }

  .home-content h1 {
    font-size: 50px;
    transition: 0.3s ease;
  }

  .home-content h3 {
    font-size: 28px;
    transition: 0.3s ease;
  }

  .home-content p {
    font-size: 15px;
    transition: 0.3s ease;
  }

  .home-sci {
    height: 145px;
    transition: 0.3s ease;
  }

  .home-sci a {
    width: 36px;
    height: 36px;
    font-size: 18px;
    transition: 0.3s ease;
  }

  .btn-box a {
    font-size: 17px;
    width: 140px;
    height: 45px;
    transition: 0.3s ease;
  }
}

@media (max-width: 764px) {
  .navbar a {
    margin: 30px 0;
    font-size: 18px;
    transition: 0.3s ease;
  }
}

@media (max-width: 640px) {
  .home {
    padding: 0 20% 20% 5%;
    transition: 0.3s ease;
  }

  .home-sci {
    flex-direction: row;
    left: 35px;
    bottom: 40px;
    width: 145px;
    height: 40px;
    transition: 0.3s ease;
  }

  .btn-box a {
    font-size: 16px;
    font-weight: 610;
    transition: 0.3s ease;
  }

  .home-content .btn-box {
    padding-right: 5%;
    transition: 0.3s ease;
  }
}

@media (max-width: 380px) {
  .home-content h1 {
    font-size: 48px;
    transition: 0.3s ease;
  }

  .home-content h3 {
    font-size: 27px;
    transition: 0.3s ease;
  }
  .home-content p {
    font-size: 14px;
    transition: 0.3s ease;
  }

  .home-sci {
    width: 130px;
    transition: 0.3s ease;
  }

  .navbar a {
    margin: 20px 0;
    font-size: 17px;
    transition: 0.3s ease;
  }
}

@media (max-width: 360px) {
  .home-content {
    width: 280px;
    transition: 0.3s ease;
  }
}

@media (max-width: 360px) {
  .home-content .btn-box {
    width: 320px;
    transition: 0.3s ease;
  }
}

/*KEYFRAME ANIMATION*/
@keyframes showRight {
  100% {
    width: 0;
  }
}
